# Get a timeline of your crashes

The Crash Timeline Service delivers chronological reports of detected crashes involving drivers within your organization, with reports available on both a weekly and monthly basis.

Weekly and monthly timelines include the following indicators:

* **Total crashes**: the total number of crashes, including both confirmed and unconfirmed events.
* **Confirmed crashes**: the number of crashes validated by either the classifier or the supervisor.
* **Users with detected crashes**: the total number of users for whom at least one crash was detected.
* **Users with confirmed crashes**: the number of users with at least one crash confirmed by the classifier or a supervisor.

*Unconfirmed crashes* can be derived by subtracting the number of confirmed crashes from the total crashes.

{% hint style="info" %}
If you have your **admin API key**, you can try the API via this [**link**](https://drivequant.stoplight.io/docs/drivequant-public/7d7edc89bce63-get-a-timeline-of-your-crashes).
{% endhint %}

## GET /drivekit/admin/crashes/timeline

>

```json
{"openapi":"3.0.3","info":{"title":"DKAdminCrashesV3","version":"1.0"},"servers":[{"url":"https://service.drivequant.com/v3","description":"Prod"}],"paths":{"/drivekit/admin/crashes/timeline":{"get":{"summary":"","description":"","operationId":"get-drivekit-admin-crashes-timeline","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerCrashTimelineResponse"}}}},"401":{"description":"Invalid API key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Timeline Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"parameters":[{"schema":{"type":"string"},"in":"header","name":"DriveKit-Admin-API-Key","description":"DriveKit admin API key"}]}}},"components":{"schemas":{"CustomerCrashTimelineResponse":{"title":"CustomerCrashTimelineResponse","type":"object","properties":{"week":{"type":"object","properties":{"items":{"$ref":"#/components/schemas/CustomerCrashTimelineItemResponse"}}},"month":{"type":"object","properties":{"items":{"$ref":"#/components/schemas/CustomerCrashTimelineItemResponse"}}}}},"CustomerCrashTimelineItemResponse":{"title":"CustomerTimelineItemResponse","type":"object","properties":{"date":{"type":"array","description":"List of dates representing the first day of the timeline period (e.g., week or month)","items":{"type":"string","format":"date-time"}},"user":{"type":"array","description":"Report of unique users for whom a crash event was detected during the period","items":{"type":"object","properties":{"total":{"type":"integer","description":"Total number of unique users for whom a crash event was detected during the period"},"confirmed":{"type":"integer","description":"Number of unique users with a crash event confirmed by the classifier"},"confirmedBySupervisor":{"type":"integer","description":"Number of unique users with a crash event confirmed by the classifier and the supervisor"}}}},"crash":{"type":"array","description":"Report of unique crashes detected during the period","items":{"type":"object","properties":{"total":{"type":"integer","description":"Total number of crash events analyzed during the period"},"confirmed":{"type":"integer","description":"Number of crash events confirmed by the classifier"},"confirmedBySupervisor":{"type":"integer","description":"Number of crash events confirmed by the classifier and the supervisor"}}}}}},"ErrorResponse":{"title":"ErrorResponse","type":"object","properties":{"message":{"type":"string"},"code":{"type":"integer"},"messageKey":{"type":"string"}}}}}}
```

## Response

The table below summarizes the list of response data.

<table><thead><tr><th width="137.66666666666666">Field</th><th width="209">Type</th><th>Description</th></tr></thead><tbody><tr><td>month</td><td><a href="#timeline">Timeline</a></td><td>Monthly reports of the number of crashes in your organization</td></tr><tr><td>week</td><td><a href="#timeline">Timeline</a></td><td>Weekly reports of the number of crashes in your organization</td></tr></tbody></table>

### Timeline

The table below summarizes the list of timeline data.

<table><thead><tr><th width="137.66666666666666">Field</th><th width="209">Type</th><th>Description</th></tr></thead><tbody><tr><td>date</td><td><code>array[date]</code></td><td>List of dates representing the first day of the timeline period (e.g., week or month)<br><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></td></tr><tr><td>user</td><td><code>array[object]</code></td><td>Report of unique users for whom a crash event was detected during the period (see <a href="#user">User</a>)</td></tr><tr><td>crash</td><td><code>array[object]</code></td><td>Report of unique crashes detected during the period (see <a href="#crash">Crash</a>)</td></tr></tbody></table>

### User

The table below summarizes the list of user data.

<table><thead><tr><th width="204.51041666666666">Field</th><th width="103.81640625">Type</th><th>Description</th></tr></thead><tbody><tr><td>total</td><td><code>int</code></td><td>Total number of unique users for whom a crash event was detected during the period</td></tr><tr><td>confirmed</td><td><code>int</code></td><td>Number of unique users with a crash event confirmed by the classifier</td></tr><tr><td>confirmedBySupervisor</td><td><code>int</code></td><td>Number of unique users with a crash event confirmed by the classifier and the supervisor</td></tr></tbody></table>

### Crash

The table below summarizes the list of crash data.

<table><thead><tr><th width="204.51041666666666">Field</th><th width="105.375">Type</th><th>Description</th></tr></thead><tbody><tr><td>total</td><td><code>int</code></td><td>Total number of crash events analyzed during the period</td></tr><tr><td>confirmed</td><td><code>int</code></td><td>Number of crash events confirmed by the classifier</td></tr><tr><td>confirmedBySupervisor</td><td><code>int</code></td><td>Number of crash events confirmed by the classifier and the supervisor</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.drivequant.com/backend/crashes/get-a-timeline-of-your-crashes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
